# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 648 60 -106
spawnpoint @a[tag=dh.t_primoGiocatore] 648 60 -106
spawnpoint @a[tag=dh.t_secondoGiocatore] 650 61 -109



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=638,y=60,z=-98,dx=5,dy=3,dz=5] run tp @s 641.0 60 -95.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~ ~-4 ~ minecraft:light_blue_terracotta run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato colpito in testa da un ghiacciolo.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if block ~ ~-4 ~ minecraft:light_blue_terracotta run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl4.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl4.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_d_livello_4/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_d_livello_4/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_d_livello_4/dh.f.d_effetti



# CB Titolo
execute if block 630 45 -105 minecraft:red_wool run data merge block 631 45 -108 {auto:1b}

# CB Indizio e Easter Egg
execute if block 638 58 -102 #minecraft:buttons[powered=true] run data merge block 632 45 -108 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 632 45 -108 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/d_extra4=false},nbt={Inventory:[{id:"minecraft:lily_of_the_valley"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/d_extra4=false},nbt={Inventory:[{id:"minecraft:lily_of_the_valley"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/d_extra4



# CB Discorsi
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_partiDiscorso,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=629,y=58,z=-98,distance=..10] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=612,y=46,z=-95,distance=..2] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 633 45 -108 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 633 45 -108 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 649 63 -95 #minecraft:buttons[powered=true] run data merge block 634 45 -108 {auto:1b}
execute unless score #Reliquia4 dh.o_reliquie matches 1 if block 617 58 -85 #minecraft:buttons[powered=true] run data merge block 634 45 -108 {auto:1b}


# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia4,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 636 45 -108 {auto:1b}

# CB Anima Acqua
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 637 45 -108 {auto:1b}



# CB Reset Oggetti
execute if block 650 60 -106 #minecraft:buttons[powered=true] run data merge block 638 45 -108 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti4 dh.o_tempoScorre matches 6000 run setblock 650 60 -106 minecraft:oak_button[face=floor,facing=east]
execute if score #ResetOggetti4 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti4 dh.o_tempoScorre matches 6000 run data merge block 641 45 -108 {auto:0b}

# Cartello Reset Oggetti
execute if block 650 60 -106 minecraft:oak_sign run data merge block 650 60 -106 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 638 57 -81 #minecraft:buttons[powered=true] run data merge block 639 45 -108 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 649 63 -95 #minecraft:buttons[powered=true] run data merge block 639 45 -108 {auto:1b}

execute if block 617 58 -85 #minecraft:buttons[powered=true] if score #Reliquia4 dh.o_reliquie matches 1 run data merge block 639 45 -108 {auto:1b}



# CB Ritorno al Livello
execute if block 637 45 -105 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 640 45 -108 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,type=armor_stand,tag=dh.t_ritornoLivelli] if block 637 45 -105 minecraft:yellow_wool unless score #Reliquia4 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia4,type=magma_cube] run summon minecraft:magma_cube 598 52 -98 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia4"]}

execute if entity @e[tag=dh.t_giocatoreFinto,type=armor_stand,tag=dh.t_ritornoLivelli] if block 637 45 -105 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia4,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=601,y=51,z=-98,distance=..2] run effect clear @e[tag=dh.t_cassaReliquia4,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,type=armor_stand,tag=dh.t_ritornoLivelli] if block 637 45 -105 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia4,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=601,y=51,z=-98,distance=..2] at @e[tag=dh.t_cassaReliquia4,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia4,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,type=armor_stand,tag=dh.t_ritornoLivelli] if block 637 45 -105 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia4,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=601,y=51,z=-98,distance=..2] run data merge entity @e[tag=dh.t_cassaReliquia4,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,type=armor_stand,tag=dh.t_ritornoLivelli] if block 637 45 -105 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia4,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=601,y=51,z=-98,distance=..2] run setblock 637 45 -105 minecraft:lime_wool