# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo false
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 849 33 91
spawnpoint @a[tag=dh.t_primoGiocatore] 850 33 92
spawnpoint @a[tag=dh.t_secondoGiocatore] 849 33 90



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=848,y=40,z=77,dx=5,dy=3,dz=5] run tp @s 851.0 41 80.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~ ~ ~ minecraft:turtle_egg run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato azzannato da una tartaruga. Camminava sulle sue uova.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if block ~ ~ ~ minecraft:turtle_egg run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl10.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl10.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_l_livello_10/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_l_livello_10/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_l_livello_10/dh.f.d_effetti



# CB Titolo
execute if block 871 35 180 minecraft:red_wool run data merge block 872 35 177 {auto:1b}

# CB Indizio e Easter Egg
execute if block 877 31 32 #minecraft:buttons[powered=true] run data merge block 873 35 177 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 873 35 177 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/l_extra10=false},nbt={Inventory:[{id:"minecraft:green_dye"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/l_extra10=false},nbt={Inventory:[{id:"minecraft:green_dye"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/l_extra10



# CB Discorsi
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_partiDiscorso,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=848,y=42.5,z=70,dx=10,dy=2,dz=5] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_avvioDiscorso10.2,type=area_effect_cloud,nbt={Age:300}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=848,y=42.5,z=70,dx=10,dy=2,dz=5,scores={dh.o_oggettiTOT=1},nbt={Inventory:[{id:"minecraft:chest",tag:{display:{Name:'{"text":"Scrigno del Tesoro","color":"gray","italic":false}'}}}]}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 874 35 177 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 874 35 177 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 874 35 177 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 916 37 86 #minecraft:buttons[powered=true] run data merge block 875 35 177 {auto:1b}
execute unless score #Reliquia10 dh.o_reliquie matches 1 if block 821 32 3 #minecraft:buttons[powered=true] run data merge block 875 35 177 {auto:1b}


# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia10,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 877 35 177 {auto:1b}

# CB Anima Acqua
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 878 35 177 {auto:1b}



# CB Reset Oggetti
execute if block 851 33 92 #minecraft:buttons[powered=true] run data merge block 879 35 177 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti10 dh.o_tempoScorre matches 6000 run setblock 851 33 92 minecraft:oak_button[face=wall,facing=west]
execute if score #ResetOggetti10 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti10 dh.o_tempoScorre matches 6000 run data merge block 882 35 177 {auto:0b}

# Cartello Reset Oggetti
execute if block 851 33 92 minecraft:oak_wall_sign run data merge block 851 33 92 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finti, Primo Tp, Secondo Tp)
execute if block 862 31 84 #minecraft:buttons[powered=true] run data merge block 880 35 177 {auto:1b}
execute if block 807 31 65 #minecraft:buttons[powered=true] run data merge block 880 35 177 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 916 37 86 #minecraft:buttons[powered=true] run data merge block 880 35 177 {auto:1b}

execute if block 821 32 3 #minecraft:buttons[powered=true] if score #Reliquia10 dh.o_reliquie matches 1 run data merge block 880 35 177 {auto:1b}



# CB Ritorno al Livello
execute if block 879 35 180 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 881 35 177 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 879 35 180 minecraft:yellow_wool unless score #Reliquia10 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia10,type=magma_cube] run summon minecraft:magma_cube 871 35 -22 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia10"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 879 35 180 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia10,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=873,y=36,z=-24,distance=..2] run effect clear @e[tag=dh.t_cassaReliquia10,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 879 35 180 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia10,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=873,y=36,z=-24,distance=..2] at @e[tag=dh.t_cassaReliquia10,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia10,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 879 35 180 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia10,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=873,y=36,z=-24,distance=..2] run data merge entity @e[tag=dh.t_cassaReliquia10,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 879 35 180 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia10,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=873,y=36,z=-24,distance=..2] run setblock 879 35 180 minecraft:lime_wool