# Anima Trovata
execute if entity @s[tag=!dh.t_terraGiaTrovata] as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] if block 488 30 -99 minecraft:orange_wool run tellraw @s {"translate":"\n%s Hai trovato un'Anima della Terra. Trova un modo per liberarla, così potrà tornare a proteggere questo luogo.","with":[{"text":"<F4bioFuri4>","color":"blue"}]}
execute if entity @s[tag=dh.t_dueGiocatori,tag=!dh.t_terraGiaTrovata] as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] if block 488 30 -99 minecraft:orange_wool run tellraw @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=0}] {"translate":"\n%s %s ha trovato un'Anima della Terra. Trova un modo per liberarla, così potrà tornare a proteggere questo luogo.","with":[{"text":"<F4bioFuri4>","color":"blue"},{"selector":"@s"}]}
execute if entity @s[tag=!dh.t_terraGiaTrovata] as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] if block 488 30 -99 minecraft:orange_wool at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2
execute if entity @s[tag=!dh.t_terraGiaTrovata] as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] if block 488 30 -99 minecraft:orange_wool run setblock 488 30 -99 minecraft:yellow_wool 

# Disattiva CB Anima
execute if block 488 30 -99 minecraft:yellow_wool run scoreboard players set @a[tag=dh.t_giocatori] dh.o_dannoAnima 0
execute if block 488 30 -99 minecraft:yellow_wool run tag @s add dh.t_terraGiaTrovata
execute if block 488 30 -99 minecraft:yellow_wool run data merge block 487 30 -102 {auto:0b}
execute if block 488 30 -99 minecraft:yellow_wool run setblock 488 30 -99 minecraft:white_wool



# Nessun Oggetto
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..},nbt=!{SelectedItem:{id:"minecraft:firework_star"}}] if block 488 30 -99 minecraft:white_wool run summon minecraft:area_effect_cloud 488 30 -99 {Particle:"minecraft:ambient_entity_effect",Duration:1,Tags:["dh.t_resetDannoAnima7"]}

# Oggetto Sbagliato
execute as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook"}}] if block 488 30 -99 minecraft:white_wool run tag @s add dh.t_oggettoSbagliato
execute as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..},nbt={SelectedItem:{id:"minecraft:gold_ingot"}}] if block 488 30 -99 minecraft:white_wool run tag @s add dh.t_oggettoSbagliato
execute as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..},nbt={SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if block 488 30 -99 minecraft:white_wool run tag @s add dh.t_oggettoSbagliato
execute as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..},nbt={SelectedItem:{id:"minecraft:brown_dye"}}] if block 488 30 -99 minecraft:white_wool run tag @s add dh.t_oggettoSbagliato
execute as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..},nbt={SelectedItem:{id:"minecraft:filled_map"}}] if block 488 30 -99 minecraft:white_wool run tag @s add dh.t_oggettoSbagliato

execute as @a[tag=dh.t_giocatori,tag=dh.t_oggettoSbagliato,scores={dh.o_dannoAnima=1..}] run tellraw @s {"translate":"\n%s Questo oggetto non ti permetterà di liberare l'Anima della Terra. Prova con qualcos'altro.","with":[{"text":"<F4bioFuri4>","color":"blue"}]}
execute as @a[tag=dh.t_giocatori,tag=dh.t_oggettoSbagliato,scores={dh.o_dannoAnima=1..}] at @s run playsound minecraft:block.beehive.exit ambient @s ~ ~ ~ 10 2
execute as @a[tag=dh.t_giocatori,tag=dh.t_oggettoSbagliato,scores={dh.o_dannoAnima=1..}] run tag @s remove dh.t_oggettoSbagliato

# Disattiva CB Anima
execute if entity @e[tag=dh.t_resetDannoAnima7,type=area_effect_cloud,nbt={Age:0}] run scoreboard players set @a[tag=dh.t_giocatori] dh.o_dannoAnima 0
execute if entity @e[tag=dh.t_resetDannoAnima7,type=area_effect_cloud,nbt={Age:0}] run data merge block 487 30 -102 {auto:0b}



# Oggetto Giusto
execute as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..},nbt={SelectedItem:{id:"minecraft:firework_star"}}] if block 488 30 -99 minecraft:white_wool run tag @s add dh.t_haLiberatoAnima
execute as @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..},nbt={SelectedItem:{id:"minecraft:firework_star"}}] if block 488 30 -99 minecraft:white_wool run summon minecraft:area_effect_cloud 488 30 -99 {Particle:"minecraft:ambient_entity_effect",Duration:61,Tags:["dh.t_oggettoAnimaGiusto7"]}

# Rimuove Testa Anima
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:0}] run setblock 491 41 -69 minecraft:air
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:0}] run scoreboard players set @a[tag=dh.t_giocatori] dh.o_dannoAnima 0
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:0}] run setblock 488 30 -99 minecraft:lime_wool

# Animazione
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:0}] as @e[tag=dh.t_anima7,type=cat] at @s run tp @s ~ ~100 ~
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:armor_stand 491 40 -69 {ShowArms:1b,Tags:["dh.t_animaLibera7"],HandItems:[{id:"minecraft:player_head",Count:1b,tag:{display:{Name:'{"text":"Nature Orb"}'},SkullOwner:{Id:[I;87949036,-591838553,-1162547148,-821610410],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzUxYWQzZGRlOWI2M2M3MWFkYmY5OGFkYjFmMmVhNDY0YzJlYjc4OTVkOWVmNTZjZTZhYjJjM2NmYzAyNCJ9fX0="}]}}}}],Pose:{RightArm:[-45f,0f]},NoGravity:1b,Invisible:1b,Invulnerable:1b,DisabledSlots:2039583}
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:0}] run particle minecraft:dust 0.035 0.78 0.012 1.0 491 41 -69 0.5 0.5 0.5 0.01 1000
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:0}] run playsound block.beacon.ambient ambient @a 491 41 -69 2 2
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:20}] run kill @e[tag=dh.t_anima7,type=cat]
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:60}] run kill @e[tag=dh.t_animaLibera7,type=armor_stand]

execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:60}] run tellraw @a[tag=dh.t_giocatori,tag=dh.t_haLiberatoAnima] {"translate":"\n%s Perfetto! Hai liberato l'Anima della Terra. Ora questo luogo è ben protetto da forze oscure.","with":[{"text":"<F4bioFuri4>","color":"blue"}]}
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:60}] if entity @s[tag=dh.t_dueGiocatori] run tellraw @a[tag=dh.t_giocatori,tag=!dh.t_haLiberatoAnima] {"translate":"\n%s Perfetto! %s ha liberato l'Anima della Terra. Ora questo luogo è ben protetto da forze oscure.","with":[{"text":"<F4bioFuri4>","color":"blue"},{"selector":"@a[tag=dh.t_haLiberatoAnima]"}]}
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:60}] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:60}] run tag @a[tag=dh.t_haLiberatoAnima] remove dh.t_haLiberatoAnima
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:60}] run scoreboard players add @s dh.o_anime 1
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:60}] run scoreboard players set #StatAnima7 dh.o_anime 1

execute as @e[tag=dh.t_animaLibera7,type=armor_stand] at @s run tp @s ~ ~0.04 ~ ~15 ~

# Disattiva CB Anima
execute if entity @e[tag=dh.t_oggettoAnimaGiusto7,type=area_effect_cloud,nbt={Age:60}] run data merge block 487 30 -102 {auto:0b}