# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

execute in the_end run setworldspawn 146 85 0
execute in the_end run spawnpoint @a[tag=dh.t_primoGiocatore] 147 84 0
execute in the_end run spawnpoint @a[tag=dh.t_secondoGiocatore] 146 84 -1



# Settaggio Modalità
execute in the_end as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] in the_end unless entity @s[x=144,y=85.5,z=-3,dx=5,dy=3,dz=5] run tp @s 147.0 86 0.0

# Caduta Isole
execute in the_end as @a[tag=dh.t_giocatori] at @s positioned ~ 60 ~ if entity @s[dy=-2] run tellraw @s {"translate":"\n%s Attento a non cadere nel vuoto, potresti perderti nell'oblio.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute in the_end as @a[tag=dh.t_giocatori] at @s positioned ~ 60 ~ if entity @s[dy=-2] at @s run playsound minecraft:block.beehive.exit ambient @s ~ ~ ~ 10 2
execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_isolaNord,tag=!dh.t_isolaEst,tag=!dh.t_isolaSud,tag=!dh.t_isolaOvest] at @s positioned ~ 60 ~ if entity @s[dy=-2] run tp @s 147 84 0
execute in the_end as @a[tag=dh.t_giocatori,tag=dh.t_isolaNord] at @s positioned ~ 60 ~ if entity @s[dy=-2] run tp @s 130 115 -377
execute in the_end as @a[tag=dh.t_giocatori,tag=dh.t_isolaEst] at @s positioned ~ 60 ~ if entity @s[dy=-2] run tp @s 519 131 -16
execute in the_end as @a[tag=dh.t_giocatori,tag=dh.t_isolaSud] at @s positioned ~ 60 ~ if entity @s[dy=-2] run tp @s 119 132 377
execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_isolaOvest] at @s positioned ~ 60 ~ if entity @s[dy=-2] run tp @s -380 127 4



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_q_livello_15/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_q_livello_15/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_q_livello_15/dh.f.d_effetti



# CB Titolo
execute in the_end if block 143 74 -12 minecraft:red_wool run data merge block 144 74 -15 {auto:1b}

# CB Indizio e Easter Egg
execute in the_end if block 147 84 -17 #minecraft:buttons[powered=true] run data merge block 145 74 -15 {auto:1b}

execute in the_end if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 145 74 -15 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/q_extra15=false},nbt={Inventory:[{id:"minecraft:beacon"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/q_extra15=false},nbt={Inventory:[{id:"minecraft:beacon"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/q_extra15



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi15,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=130,y=84,z=-1,dx=6,dy=1,dz=2] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=130,y=84,z=-1,dx=6,dy=1,dz=2,scores={dh.o_oggettiTOT=4}] unless entity @a[tag=dh.t_giocatori,tag=dh.t_isolaNord] unless entity @a[tag=dh.t_giocatori,tag=dh.t_isolaEst] unless entity @a[tag=dh.t_giocatori,tag=dh.t_isolaSud] unless entity @a[tag=dh.t_giocatori,tag=dh.t_isolaOvest] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso3,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=130,y=84,z=-1,dx=6,dy=1,dz=2] if score #Reliquia15 dh.o_reliquie matches 1 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso4
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso4,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=130,y=84,z=-1,dx=6,dy=1,dz=2,nbt={Inventory:[{id:"minecraft:book",Count:1b,tag:{display:{Name:'{"text":"Tomo del Sapere","color":"gray","italic":false}'}}}]}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso5
execute in the_end if block 129 108 -379 minecraft:red_wool if entity @a[tag=dh.t_giocatori,x=140,y=134,z=-356,dx=6,dy=1,dz=6] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorsoNord
execute in the_end if block 518 124 -19 minecraft:red_wool if entity @a[tag=dh.t_giocatori,x=529,y=150,z=-3,dx=6,dy=1,dz=6] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorsoEst
execute in the_end if block 121 125 374 minecraft:red_wool if entity @a[tag=dh.t_giocatori,x=104,y=151,z=351,dx=6,dy=1,dz=6] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorsoSud
execute in the_end if block -388 120 2 minecraft:red_wool if entity @a[tag=dh.t_giocatori,x=-400,y=146,z=-6,dx=6,dy=1,dz=6] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorsoOvest

execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 146 74 -15 {auto:1b}
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 146 74 -15 {auto:1b}
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 146 74 -15 {auto:1b}
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso4,type=armor_stand] run data merge block 146 74 -15 {auto:1b}
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso5,type=armor_stand] run data merge block 146 74 -15 {auto:1b}
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorsoNord,type=armor_stand] run data merge block 146 74 -15 {auto:1b}
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorsoEst,type=armor_stand] run data merge block 146 74 -15 {auto:1b}
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorsoSud,type=armor_stand] run data merge block 146 74 -15 {auto:1b}
execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorsoOvest,type=armor_stand] run data merge block 146 74 -15 {auto:1b}

# CB Discorso Prerichiesta
execute in the_end unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletataC,type=armor_stand] if block 126 118 0 #minecraft:buttons[powered=true] run data merge block 147 74 -15 {auto:1b}



# CB Reliquia
execute in the_end if entity @e[tag=dh.t_tramoggia15,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 149 74 -15 {auto:1b}

# CB Anima Spirito
execute in the_end if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 150 74 -15 {auto:1b}



# CB Reset Oggetti
execute in the_end if block 146 84 2 #minecraft:buttons[powered=true] run data merge block 151 74 -15 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute in the_end if score #ResetOggetti15 dh.o_tempoScorre matches 6000 run setblock 146 84 2 minecraft:oak_button[face=wall,facing=north]
execute if score #ResetOggetti15 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute in the_end if score #ResetOggetti15 dh.o_tempoScorre matches 6000 run data merge block 150 74 -18 {auto:0b}

# Cartello Reset Oggetti
execute in the_end if block 146 84 2 minecraft:oak_wall_sign run data merge block 146 84 2 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Isola Nord
execute in the_end if block 109 103 -22 minecraft:lever[powered=true] run data merge block 146 74 -18 {auto:1b}

execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpNord] positioned 130 96 -20 if entity @s[distance=..1.5] run playsound entity.enderman.teleport ambient @a 130 94 -43 2 1
execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpNord] positioned 130 96 -20 if entity @s[distance=..1.5] run tp @s 130 95 -43

execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpNord,x=60,y=60,z=-60,dx=140,dy=80,dz=140] unless entity @a[tag=dh.t_giocatori,tag=dh.t_isolaNord] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_pergamena,type=armor_stand] run tag @s add dh.t_noTpNord

# CB Isola Est
execute in the_end if block 144 105 -19 minecraft:lever[powered=true] run data merge block 147 74 -18 {auto:1b}

execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpEst] positioned 150 96 0 if entity @s[distance=..1.5] run playsound entity.enderman.teleport ambient @a 173 95 0 2 1
execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpEst] positioned 150 96 0 if entity @s[distance=..1.5] run tp @s 173 95 0

execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpEst,x=60,y=60,z=-60,dx=140,dy=80,dz=140] unless entity @a[tag=dh.t_giocatori,tag=dh.t_isolaEst] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_pupazzetto,type=armor_stand] run tag @s add dh.t_noTpEst

# CB Isola Sud
execute in the_end if block 150 102 17 minecraft:lever[powered=true] run data merge block 148 74 -18 {auto:1b}

execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpSud] positioned 130 96 20 if entity @s[distance=..1.5] run playsound entity.enderman.teleport ambient @a 130 95 43 2 1
execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpSud] positioned 130 96 20 if entity @s[distance=..1.5] run tp @s 130 95 43

execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpSud,x=60,y=60,z=-60,dx=140,dy=80,dz=140] unless entity @a[tag=dh.t_giocatori,tag=dh.t_isolaSud] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_uovoDiDrago,type=armor_stand] run tag @s add dh.t_noTpSud

# CB Isola Ovest
execute in the_end if block 106 101 20 minecraft:lever[powered=true] run data merge block 149 74 -18 {auto:1b}

execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpOvest] positioned 110 96 0 if entity @s[distance=..1.5] run playsound entity.enderman.teleport ambient @a 86 95 0 2 1
execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpOvest] positioned 110 96 0 if entity @s[distance=..1.5] run tp @s 86 95 0

execute in the_end as @a[tag=dh.t_giocatori,tag=!dh.t_noTpOvest,x=60,y=60,z=-60,dx=140,dy=80,dz=140] unless entity @a[tag=dh.t_giocatori,tag=dh.t_isolaOvest] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_muschio,type=armor_stand] run tag @s add dh.t_noTpOvest



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute in the_end if block 126 102 -3 #minecraft:buttons[powered=true] run data merge block 152 74 -15 {auto:1b}

execute in the_end if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletataC,type=armor_stand] if block 126 118 0 #minecraft:buttons[powered=true] run data merge block 152 74 -15 {auto:1b}

execute in the_end if block 126 104 -1 #minecraft:buttons[powered=true] run data merge block 152 74 -15 {auto:1b}



# CB Ritorno al Livello
execute in the_end if block 153 74 -12 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 153 74 -15 {auto:1b}